## org.apache.tools.ant.taskdefs.compilers
Class Javac13

    java.lang.Object
      org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
          org.apache.tools.ant.taskdefs.compilers.Javac13

All Implemented Interfaces:
  CompilerAdapter, CompilerAdapterExtension

    public class Javac13

extends DefaultCompilerAdapter

The implementation of the javac compiler for JDK 1.3 This is primarily a cut-and-paste from the original javac task before it was refactored.

Since:
  Ant 1.3

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, optimize, project, src, target, verbose`

Constructor Summary
`Javac13()`

Method Summary
`boolean` `execute()` Run the compilation.

Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getNoDebugArgument, getProject, getSupportedFileExtensions, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javac13

    public Javac13()

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  Run the compilation.

  Returns:
    true if the compiler ran with a zero exit result (ok)
  Throws:
    `BuildException` - if the compilation has problems.